JobSplit (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class JobSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplit

    public class JobSplit

extends Object

This class groups the fundamental classes associated with reading/writing splits. The split information is divided into two parts based on the consumer of the information. The two parts are the split meta information, and the raw split information. The first part is consumed by the JobTracker to create the tasks' locality data structures. The second part is used by the maps at runtime to know what to do! These pieces of information are written to two separate files. The metainformation file is slurped by the JobTracker during job initialization. A map task gets the meta information during the launch and it reads the raw split bytes directly from the file.

Nested Class Summary
`static class` | `JobSplit.SplitMetaInfo` This represents the meta information about the task split.
`static class` | `JobSplit.TaskSplitIndex` This represents the meta information about the task split that the task gets
`static class` | `JobSplit.TaskSplitMetaInfo` This represents the meta information about the task split that the JobTracker creates

Field Summary
`static JobSplit.TaskSplitMetaInfo` | `EMPTY_TASK_SPLIT`

Constructor Summary
`JobSplit()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_TASK_SPLIT

    public static final JobSplit.TaskSplitMetaInfo EMPTY_TASK_SPLIT

Constructor Detail

### JobSplit

    public JobSplit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation